# Class MergeNode

java.lang.Object
ch.usi.inf.sape.hac.dendrogram.MergeNode

All Implemented Interfaces:
  `DendrogramNode`

public final class MergeNode extends Object implements DendrogramNode
A MergeNode represents an interior node in a Dendrogram. It corresponds to a (non-singleton) cluster of observations.

## Constructor Summary

Constructors
Constructor
Description
`MergeNode(DendrogramNode left, DendrogramNode right, double dissimilarity)`

## Method Summary

Modifier and Type
Method
Description
`final double`
`getDissimilarity()`
`final DendrogramNode`
`getLeft()`
`int`
`getObservationCount()`
`final DendrogramNode`
`getRight()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergeNode

public MergeNode(DendrogramNode left, DendrogramNode right, double dissimilarity)

## Method Details

### getObservationCount

public int getObservationCount()

Specified by:
  `getObservationCount` in interface `DendrogramNode`

### getLeft

public final DendrogramNode getLeft()

Specified by:
  `getLeft` in interface `DendrogramNode`

### getRight

public final DendrogramNode getRight()

Specified by:
  `getRight` in interface `DendrogramNode`

### getDissimilarity

public final double getDissimilarity()